aboutsummaryrefslogtreecommitdiffstats
path: root/moon-abe/pbc-0.5.14/setup
diff options
context:
space:
mode:
authorWuKong <rebirthmonkey@gmail.com>2015-09-04 09:25:34 +0200
committerWuKong <rebirthmonkey@gmail.com>2015-09-04 09:25:34 +0200
commit3baeb11a8fbcfcdbc31976d421f17b85503b3ecd (patch)
tree04891d88c1127148f1b390b5a24414e85b270aee /moon-abe/pbc-0.5.14/setup
parent67c5b73910f5fc437429c356978081b252a59480 (diff)
init attribute-based encryption
Change-Id: Iba1a3d722110abf747a0fba366f3ebc911d25b25
Diffstat (limited to 'moon-abe/pbc-0.5.14/setup')
-rw-r--r--moon-abe/pbc-0.5.14/setup21
1 files changed, 21 insertions, 0 deletions
diff --git a/moon-abe/pbc-0.5.14/setup b/moon-abe/pbc-0.5.14/setup
new file mode 100644
index 00000000..310b05f5
--- /dev/null
+++ b/moon-abe/pbc-0.5.14/setup
@@ -0,0 +1,21 @@
+#!/bin/bash -ex
+
+# pbc lexer and parser appears before configure script
+[ x`which flex` == x ] && echo 'need flex' && exit 1
+[ x`which bison` == x ] && echo 'need bison' && exit 1
+if [ x`which libtoolize` != x ]; then
+ LT=libtoolize
+elif [ x`which glibtoolize` != x ]; then
+ LT=glibtoolize
+else
+ exit 1
+fi
+$LT --force --copy
+aclocal
+autoheader
+automake --add-missing --copy --gnu
+autoconf
+
+if test -f config.status; then
+ sh config.status
+fi